Upload term base
curl --request POST \
--url https://cloud.memsource.com/web/api2/v2/termBases/{termBaseUid}/upload \
--header 'Authorization: <api-key>' \
--header 'Content-Disposition: <content-disposition>' \
--header 'Content-Type: application/octet-stream' \
--data '{}'import requests
url = "https://cloud.memsource.com/web/api2/v2/termBases/{termBaseUid}/upload"
payload = {}
headers = {
"Content-Disposition": "<content-disposition>",
"Authorization": "<api-key>",
"Content-Type": "application/octet-stream"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Content-Disposition': '<content-disposition>',
Authorization: '<api-key>',
'Content-Type': 'application/octet-stream'
},
body: JSON.stringify({})
};
fetch('https://cloud.memsource.com/web/api2/v2/termBases/{termBaseUid}/upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"asyncRequest": {
"asyncResponse": {
"dateCreated": "2023-11-07T05:31:56Z",
"errorCode": "<string>",
"errorDesc": "<string>",
"errorDetails": [
{
"args": {},
"code": "<string>",
"message": "<string>"
}
],
"warnings": [
{
"args": {},
"code": "<string>",
"message": "<string>"
}
]
},
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"id": "<string>",
"parent": "<unknown>",
"project": {
"name": "<string>",
"uid": "<string>"
}
},
"reference": {
"type": "JOB",
"uid": "<string>"
}
}Term Base
Upload term base
Terms can be imported from XLS/XLSX and TBX file formats into a term base. See Phrase Help Center
POST
/
api2
/
v2
/
termBases
/
{termBaseUid}
/
upload
Upload term base
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Headers
must match pattern ((inline|attachment); )?filename\*=UTF-8''(.+)
Path Parameters
Query Parameters
Body
application/octet-stream
The body is of type object.
Was this page helpful?
⌘I